Page MenuHomeFreeBSD

Move 32-bit compat support for FIODGNAME to the right place.
ClosedPublic

Authored by brooks on Oct 8 2018, 7:59 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Feb 19, 9:04 AM
Unknown Object (File)
Sun, Feb 18, 8:16 AM
Unknown Object (File)
Dec 23 2023, 10:10 AM
Unknown Object (File)
Dec 5 2023, 9:15 AM
Unknown Object (File)
Dec 5 2023, 7:52 AM
Unknown Object (File)
Dec 2 2023, 7:40 PM
Unknown Object (File)
Dec 1 2023, 3:11 PM
Unknown Object (File)
Nov 29 2023, 5:37 AM
Subscribers

Details

Summary

ioctl(2) commands only have meaning in the context of a file descriptor
so translating them in the syscall layer is incorrect.

The new handler users an accessor to retrieve/construct a pointer from
the last member of the passed structure and relies on type punning to
access the other member which requires no translation.

Unlike r339174 this change supports both places FIODGNAME is handled.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

kib added inline comments.
sys/kern/tty_pts.c
299 ↗(On Diff #48904)

return (copyout(...));

This revision is now accepted and ready to land.Oct 8 2018, 8:12 PM
  • style(9) as pointed out by @kib
This revision now requires review to proceed.Oct 8 2018, 8:36 PM
This revision was not accepted when it landed; it landed in state Needs Review.Oct 26 2018, 5:59 PM
This revision was automatically updated to reflect the committed changes.